This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 221947 - Review Request: gwenhywfar - utility library
Review Request: gwenhywfar - utility library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-09 01:25 EST by Bill Nottingham
Modified: 2014-03-16 23:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 23:59:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-01-09 01:25:35 EST
Spec URL: http://people.redhat.com/notting/review/gwenhywfar.spec
SRPM URL: http://people.redhat.com/notting/review/gwenhywfar-2.3.0-5.src.rpm
Description: gwenhywfar utility library

gwenhywfar is a utility library used by aqbanking. This is part of reviewing the gnucash stack.
Comment 1 Parag AN(पराग) 2007-01-10 02:47:10 EST
rpmlint is not silent
rpmlint on main RPM reported
W: gwenhywfar non-conffile-in-etc /etc/gwen-public-ca.crt
A non-executable file in your package is being installed in /etc, but is not
a configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

rpmlint on -devel rpm reported
I: gwenhywfar-devel checking
E: gwenhywfar-devel only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

Otherwise mock build is fine.
Comment 2 Bill Nottingham 2007-01-10 09:35:11 EST
(In reply to comment #1)
> W: gwenhywfar non-conffile-in-etc /etc/gwen-public-ca.crt

It's not really a configuration file, it's a data file. It's a CA certificate
bundle, much like /etc/pki/tls/certs/ca-bundle.crt. However, that is
also marked %config, so I'll change this.

(Ideally it just uses the openssl CA bundle.)

> E: gwenhywfar-devel only-non-binary-in-usr-lib
> There are only non binary files in /usr/lib so they should be in /usr/share.

This is a mis-error from rpmlint. It's a architecture-specific include, so it
can't be in /usr/include, and needs to be in an architecture specific directory.
 See glib2, dbus, gcc, qt for other examples of this.
Comment 3 Paul Howarth 2007-01-10 10:28:00 EST
(In reply to comment #2)
> (In reply to comment #1)
> > W: gwenhywfar non-conffile-in-etc /etc/gwen-public-ca.crt
> 
> It's not really a configuration file, it's a data file. It's a CA certificate
> bundle, much like /etc/pki/tls/certs/ca-bundle.crt. However, that is
> also marked %config, so I'll change this.

Perhaps it should live in /etc/pki/tls/certs too?
Comment 4 Bill Nottingham 2007-01-10 12:03:55 EST
It's not easily modifiable without patching, and if I'm going to do that, I'd
rather just patch it to *use* the openssl one. Currently discussing that w/upstream.
Comment 5 Paul Howarth 2007-01-10 12:12:02 EST
FWIW, curl uses the openssl one rather than the one shipped in the curl tarball...
Comment 6 Bill Nottingham 2007-01-11 17:54:53 EST
2.3.0-6 uploaded; cert bundle marked as config, rpaths fixed.
Comment 7 Parag AN(पराग) 2007-01-12 01:52:21 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM.
- rpmlint is NOT silent for RPMS.
E: gwenhywfar-devel only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.
But its ok as it looks mis-error by rpmlint.

+ source files match upstream.
0f7cf7d0efa6719f85c00d6d8ccec2b3  gwenhywfar-2.3.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code Not contents.
+ no static libraries present.
+ no gwenhywfar.pc files present.
+ -devel subpackage exists
+ included
  %post -p /sbin/ldconfig
  %postun -p /sbin/ldconfig
+ no .la files.
+ translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ no scriptlets used.
+ file permissions are appropriate.
APPROVED.

Comment 8 Bill Nottingham 2007-01-12 10:04:07 EST
Just looking over:

(In reply to comment #7)
> + no gwenhywfar.pc files present.

It certainly has them in my builds...
Comment 9 Parag AN(पराग) 2007-01-12 10:22:12 EST
(In reply to comment #8)
> Just looking over:
> 
> (In reply to comment #7)
> > + no gwenhywfar.pc files present.
> 
> It certainly has them in my builds...
oops Sorry. I actually used to copy my Review Template and modify them according
to package. I forgot to remove no word.



Comment 10 Parag AN(पराग) 2007-02-22 00:09:02 EST
Ping
any problem for importing this package to CVS?
Comment 11 Bill Nottingham 2007-02-22 11:16:37 EST
Just waiting for the round tuits. Will get to it this week-ish.
Comment 12 Bill Nottingham 2007-03-19 15:32:04 EDT
This is built now.
Comment 13 Bill Nottingham 2007-06-08 21:17:18 EDT
Package Change Request
======================
Package Name: gwenhywfar
New Branches: EL-4 EL-5

Comment 14 Jason Tibbitts 2007-06-08 23:59:38 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.